Get List of Transactions

Prev Next
Get
/publishers/{publisherId}/transactions/

GET transactions (list)

Publishers can pull individual transactions, check the status of the transactions, create their reports, and pull additional information that can be shared between publishers and advertisers via clickref (from publisher to advertiser) and orderRef and custom parameters (from advertiser to publisher).


Who can use it

Publishers

Header parameters
Authorization
string

accessToken

Path parameters
publisherId
integer (int64) Required

publisher id

Default123456
Query parameters
accessToken
stringRequired

access token

advertiserId
string

advertiser id

dateType
string

date type, if not set - 'transaction' is the default

Valid values[ "transaction", "validation", "amendment" ]
Default"transaction"
endDate
string (date-time) Required

end date

Default"2021-03-15T01:59:59Z"
showBasketProducts
boolean

show basket products

Defaultfalse
startDate
string (date-time) Required

start date

Default"2021-01-01T00:00:00Z"
status
string

transaction status

Valid values[ "pending", "approved", "declined", "deleted" ]
timezone
string

time zone in short or default format

Default"UTC"

Further information on the query parameters

Please note: the maximum date range between startDate and endDate currently supported is 31 days.

parameter

format

mandatory/optional

startDate

yyyy-MM-ddThh:mm:ss

mandatory

endDate

yyyy-MM-ddThh:mm:ss

mandatory

dateType

transaction

validation

optional (falls back to "transaction" if not set)

timezone

See https://help.awin.com/apidocs/timezones for timezone details.

mandatory

publisherId

12345 or 12345,67890 for multiple ones

optional, available for advertisers

advertiserId

12345 or 12345,67890 for multiple ones

optional, available for publishers

status

pending

approved declined deleted

optional

showBasketProducts

JSON array

optional 

Responses
200

OK

Note that the field "lapseTime" is the conversion time in seconds


Basket Products

If &showBasketProducts=true then products sent via Product Level Tracking matched to the transaction can be viewed (please see "Conditional data fields" below for restrictions that might apply).


Conditional data fields

Some data fields are only available to publishers and depending on additional settings.

datafield

available for publishers

orderRef

yes, if the publisher is activated to see it

clickRef

yes

clickRef2 - clickRef6

yes

customParameters

yes, if the advertiser shares them with his publishers

basketProducts

yes, if the advertiser shares them with his publishers

networkFee

no


Response values for "type"

Sale, Lead, Bonus, 2nd Tier, Commission group transaction, PPC, TQS, Mobile Sale, Mobile Lead, Mobile App Install, Mobile App Purchase, Compensation.